import React from "react";
import { Emoji as IEmoji } from "@matrix-org/emojibase-bindings";
import { ButtonEvent } from "../elements/AccessibleButton";
interface IProps {
    selectedEmojis?: Set<string>;
    onClick(ev: ButtonEvent, emoji: IEmoji): void;
}
interface IState {
    hover?: IEmoji;
}
declare class QuickReactions extends React.Component<IProps, IState> {
    constructor(props: IProps);
    private onMouseEnter;
    private onMouseLeave;
    render(): React.ReactNode;
}
export default QuickReactions;
